<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
    <AssemblyName>DiplomovaPrace.Web.Admin</AssemblyName>
    <RootNamespace>DiplomovaPrace.Web.Admin</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.1.5" />
    <PackageReference Include="Blazored.Modal" Version="6.0.1" />
    <PackageReference Include="Blazored.TextEditor" Version="1.0.7" />
    <PackageReference Include="Blazored.Toast" Version="3.2.2" />
    <PackageReference Include="Blazorized.AdminLte" Version="0.1.8" />
    <PackageReference Include="Blazorized.AdminLte.Content" Version="3.0.7" />
    <PackageReference Include="Fluxor.Blazor.Web" Version="4.2.1" />
    <PackageReference Include="Grpc.Net.Client" Version="2.41.0" />
    <PackageReference Include="Grpc.Net.Client.Web" Version="2.41.0" />
    <PackageReference Include="Grpc.Net.ClientFactory" Version="2.41.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="5.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.DataAnnotations.Validation" Version="3.2.0-rc1.20223.4" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="5.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="5.0.5" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.WebUtilities" Version="2.2.0" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="5.0.0" />
    <PackageReference Include="Microsoft.TypeScript.MSBuild" Version="4.5.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="protobuf-net.Grpc" Version="1.0.152" />
    <PackageReference Include="protobuf-net.Grpc.ClientFactory" Version="1.0.152" />
    <PackageReference Include="System.Net.Http.Json" Version="5.0.0" />
    <PackageReference Include="Tewr.Blazor.FileReader" Version="3.2.0.21211" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Contracts\Contracts.csproj" />
  </ItemGroup>

</Project>
